/*
 * 2D Game Engine 
 * KeyboardControl.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 26/02/2021.
 */

#ifndef GAMEENGINE_SOURCE_INCLUDE_COMPONENTS_KEYBOARDCONTROL_H
#define GAMEENGINE_SOURCE_INCLUDE_COMPONENTS_KEYBOARDCONTROL_H

#include <glm/glm.hpp>

struct KeyboardControlComponent
{
    glm::vec2 upVelocity;
    glm::vec2 rightVelocity;
    glm::vec2 downVelocity;
    glm::vec2 leftVelocity;

    explicit KeyboardControlComponent(glm::vec2 upVelocity = glm::vec2(0, 0),
                                      glm::vec2 rightVelocity = glm::vec2(0, 0),
                                      glm::vec2 downVelocity = glm::vec2(0, 0),
                                      glm::vec2 leftVelocity = glm::vec2(0, 0)) : upVelocity(upVelocity),
                                                                                          rightVelocity(rightVelocity),
                                                                                          downVelocity(downVelocity),
                                                                                          leftVelocity(leftVelocity) {};
};


#endif /* GAMEENGINE_SOURCE_INCLUDE_COMPONENTS_KEYBOARDCONTROL_H */
